/* CanonUtilFltkUtil.cpp
 * utilities for calculating of widget size
 */

#include <FL/Fl.H>
#include <FL/Fl_Widget.h>
#include <FL/fl_draw.H>

void getTextSize(Fl_Widget *wi, int *W, int *H)
{
   int w = 0, h = 0;
   char *text;
   text = (char*)wi->label();
   fl_font(wi->labelfont(), wi->labelsize());
   fl_measure(text, w, h);
   *W = w+8; // add 4 for insets
   *H = h+8; // add 4 for insets
}

void getTextWidth(Fl_Widget *wi, char *text, int *W)
{
   int w = 0, h = 0;
   fl_font(wi->labelfont(), wi->labelsize());
   fl_measure(text, w, h);
   *W = w+8; // add 4 on all direction for insets
}

void refreshFunction()
{
   Fl::wait(0);
}
